package com.gic.haoban.manage.service.service.content.message;

import com.gic.haoban.manage.service.pojo.bo.content.message.InteractRecordBO;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

/**
 * @Author MUSI
 * @Date 2023/3/28 2:50 PM
 * @Description
 * @Version
 * 互动记录消息处理器
 **/
@Slf4j
@Component
public class InteractRecordMessageService {


    /**
     * 处理互动记录
     * @param interactRecordBO
     */
    public void dealRecord(InteractRecordBO interactRecordBO) {

        // 参数是否完整

        // 根据businessId clerkId memberId materialId 构建唯一标识key
        // 根据key 查询是否存在记录
        String key = this.buildRecordKey(interactRecordBO);

        // 新增
            // 通过clerkId、memberId、materialId 查询之前存在的记录总数，本次是第几次访问 在之前的记录总数上加1
        // 编辑
            // 合并时间类型
            //

    }

    /**
     * 构建唯一key
     * @param interactRecordBO
     * @return
     */
    private String buildRecordKey(InteractRecordBO interactRecordBO) {
        String customerId = StringUtils.isNotBlank(interactRecordBO.getMemberId()) ? interactRecordBO.getMemberId() : interactRecordBO.getUnionId();
        return interactRecordBO.getBusinessUUId() + interactRecordBO.getClerkId() + interactRecordBO.getMaterialId() + customerId;
    }

}
